# Create end user

Create an end user.

Endpoint: POST /v1/endusers
Version: v1
Security: ApiKeyAuth

## Request fields (application/json):

  - `displayName` (string)
    The contact's display name

  - `email` (string)
    The contact's primary email address

  - `phoneNumber` (string)
    The contact's primary phone number

  - `additionalEmails` (array)
    Additional email addresses for the contact

  - `additionalPhoneNumbers` (array)
    Additional phone numbers for the contact

  - `firstName` (string)
    The contact's first name

  - `lastName` (string)
    The contact's last name

  - `middleNames` (array)
    The contact's middle names

  - `avatarUrl` (string)
    The url from which to load the contact's avatar

  - `externalId` (string)
    Custom external identifier for the contact

## Response 201 fields (application/json):

  - `data` (object, required)

  - `data.id` (string, required)
    Unique identifier for the contact

  - `data.createdAt` (string, required)
    Time when the contact was created

  - `data.displayName` (string)
    The contact's display name

  - `data.email` (string)
    The contact's primary email address

  - `data.phoneNumber` (string)
    The contact's primary phone number

  - `data.additionalEmails` (array)
    Additional email addresses for the contact

  - `data.additionalPhoneNumbers` (array)
    Additional phone numbers for the contact

  - `data.firstName` (string)
    The contact's first name

  - `data.lastName` (string)
    The contact's last name

  - `data.middleNames` (array)
    The contact's middle names

  - `data.avatarUrl` (string)
    The url from which to load the contact's avatar

  - `data.externalId` (string)
    Custom external identifier for the contact

  - `data.customAttributes` (array)
    Custom attributes for the contact

  - `data.customAttributes.id` (string, required)

  - `data.customAttributes.name` (string, required)

  - `data.customAttributes.identifier` (string, required)

  - `data.customAttributes.value` (any, required)
    AttributeValue values: String[] if the type of the custom attribute is Select or String if the type of the custom attribute is Text

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)


